#
# spec file for package svgatext (Version 1.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         svgatext
Release:      10
Copyright:    1995,1996 Koen Gadeyne, 1996 Marco Paganini
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.8
Summary:      Extended SVGA text modes
Source: SVGATextMode-1.8.tar.gz
Source1: SVGATextCalc-0.9.tar.gz
Patch: SVGATextMode-1.8.dif
%description
No more place on your screen in text mode? Huge letters on the screen?
You can change this by calling SVGATextMode which extends a SVGA text
display up to 160x60 characters on good SVGA cards.
Before use you have to configure the program by editing the file
/etc/TextConfig to the capabilities of your graphics hardware.
Furthermore you may create your own modelines for /etc/TextConfig with
SVGATextCalc. 
Broad documentation can be found under /usr/doc/packages/svgatext
and the respective man pages.

Authors:
--------
    Koen Gadeyne <kmg@barco.be>
    Marco Paganini <paganini@ism.com.br>

%prep
%setup -n SVGATextMode-1.8
mkdir SVGATextCalc
tar xfzpC $RPM_SOURCE_DIR/SVGATextCalc-0.9.tar.gz SVGATextCalc
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
    bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.svgatext
else
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.svgatext"
    echo "and update by hand."
fi
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /var/lib/svgatext
%config /etc/TextConfig
/sbin/init.d/rc1.d/K81svgatext
/sbin/init.d/rc1.d/S19svgatext
/sbin/init.d/rc2.d/K81svgatext
/sbin/init.d/rc2.d/S19svgatext
/sbin/init.d/rc3.d/K81svgatext
/sbin/init.d/rc3.d/S19svgatext
%config /sbin/init.d/svgatext
/usr/doc/packages/svgatext
%doc /usr/man/man1/SVGATextCalc.1.gz
%doc /usr/man/man5/TextConfig.5.gz
%doc /usr/man/man8/SVGATextMode.8.gz
%doc /usr/man/man8/clockprobe.8.gz
%doc /usr/man/man8/grabmode.8.gz
%doc /usr/man/man8/stm.8.gz
/usr/sbin/SVGATextCalc
/usr/sbin/SVGATextMode
/usr/sbin/clockprobe
/usr/sbin/grabmode
/usr/sbin/stm
/var/adm/fillup-templates/rc.config.svgatext

